namespace Foxchat.Core;

public class FoxchatError(string message) : Exception(message)
{
    public class ApiError(string message) : FoxchatError(message);
    public class BadRequest(string message) : ApiError(message);
    public class IncomingFederationError(string message) : FoxchatError(message);

    public class OutgoingFederationError(string message, Models.ApiError? innerError = null) : FoxchatError(message)
    {
        public Models.ApiError? InnerError => innerError;
    }

    public class DatabaseError(string message) : FoxchatError(message);
}
